Summary: The GNU C Library Cross Utilities
Name: cross-glibc-utils%{_mvl_pkg_suffix}

%define glibc_version 2.5.90
### %define snapshot %{nil}
%define snapshot -20070201
%define ld_version 20061201
Version: %{glibc_version}
Release: 9.0.0.%{_mvl_build_id}
Source0: ftp://ftp.gnu.org/gnu/glibc/glibc-%{version}%{snapshot}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/glibc/glibc-ports-%{version}%{snapshot}.tar.bz2

%define tz_version 2007a
Source2: ftp://elsie.nci.nih.gov/pub/tzcode%{tz_version}.tar.gz
Source3: ftp://elsie.nci.nih.gov/pub/tzdata%{tz_version}.tar.gz
Source4: cross-ldconfig-%{ld_version}.tar.bz2

%define autoconf_version 2.59

License: GPL/LGPL
Group: admin
Buildroot: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
Prefix: %{_mvl_install_prefix}
%define _docdir          %{_mvl_cross_target_dir}/%{_mvl_target_doc_dir}
Requires: glibc-dev%{_mvl_pkg_suffix}
BuildArch: %{_mvl_host_arch}

%if "%{_mvl_target_cpu}" == "ppc64" && "%{_mvl_pkg_suffix}" != ""
%define _mvl_target_toolconfig powerpc64-montavista-linux
%endif

# MVL Configuration Files
Source20: nsswitch.conf
Source21: host.conf
Source22: glibc-libopt-build-libc
Source23: glibc-libopt-build-libm
Source34: devpts
Source35: nscd
Source36: tzconfig

Patch1:  glibc-build-localedef-1-fixes.patch
Patch2:  glibc-build-localedef-2-cross.patch
Patch3:  glibc-build-localedef-3-standalone-fixes.patch
Patch4:  glibc-build-localedef-4-standalone.patch
Patch5:  glibc-memusage.patch
Patch6:  glibc-libthread_db-static.patch
Patch7:  glibc-2.3.2-elcstd.patch
Patch8:  glibc-mips-librt.patch
Patch9:  glibc23-ctype-compat.dpatch
Patch10:  glibc23-function-compat.dpatch
Patch11:  glibc-2.3.2-cvs-errno.dpatch
Patch12:  glibc-debian-ldd.patch
Patch13:  tcsetattr.dpatch
Patch14:  glibc-2.3.2-cvs-405-atomicity.patch
Patch15:  glibc-2.2.5_mips_nfp.patch
Patch16:  glibc-2.3.2-vfork-backtrace.patch
Patch17:  hhl-glibc-libgcc-compat.patch
Patch18:  glibc-lsb-locale.patch
Patch19:  glibc-2.2.5-rel_calc.patch
Patch20:  glibc-2.3.2-prelink-diagnostic.patch
Patch21:  glibc-2.2.5-mips-profile.patch
Patch22:  glibc-2.3.2-sjlj.patch
Patch23:  glibc-2.3.2-cvs-mips64-implies.patch
Patch24:  glibc-2.3.2-cvs-mips-timers.patch
Patch25:  glibc-2.3.2-ppc-fix-soft-float.patch
Patch26:  glibc-2.3.2-x86_64-multilib32_sysdeps-fno_unit_at_a_time.patch
Patch27:  glibc-2.3.2-scanfproblem.patch
Patch28:  glibc-2.3.2-thumb.patch
Patch29:  glibc-2.3.2-cvs-affinity-2.patch
Patch30:  glibc-2.3.2-thumb-syscall.patch
Patch31:  glibc-mips-noforceabi.patch
Patch32:  glibc-no_locale_archive.patch
Patch33:  glibc-mips-atomicity.patch
Patch34:  glibc-pt_chown.patch
Patch35:  glibc-arm-SHMLBA.patch
Patch36:  glibc-malloc-deadlock.patch
Patch37:  glibc-2.3.5-mips2-headers.patch
Patch38:  glibc-raq2_librt_linking-1.patch
Patch39:  glibc-SHN_UNDEF.patch
Patch40:  glibc-mips-posix-fadvise64.patch
Patch41:  glibc-nptl-static-debug.patch
Patch42:  glibc-nptl-serialize-debug.patch
Patch43:  glibc-2.4-getcwd-MAX-undefined.patch
Patch44:  glibc-fcntl-include.patch
Patch45:  glibc-check-ELF_MACHINE_NO_PLT.patch
Patch46:  glibc-ports-mips64-fxstatat.patch
Patch47:  glibc-ppc-gcc42-workaround-nosection-anchors.patch
Patch48:  glibc-2.5-e500-support.patch
Patch49:  glibc-cross-ldconfig.patch
Patch50:  glibc-march-pentium3-flags.patch

%description
The Cross GNU Libc Utilities package contains ldconfig utility that allows  
to create necessary links and cache to the most recent shared libraries in a cross-environment

# RPM
%package -n cross-%{_mvl_target_arch}-glibc-utils-ldconfig
Obsoletes: hhl-cross-%{_mvl_target_arch}-glibc-utils-ldconfig
Group: admin
Summary: The GNU C Library Cross ldconfig utility

%description -n cross-%{_mvl_target_arch}-glibc-utils-ldconfig
The Cross GNU Libc cross ldconfig package contains ldconfig utility that allows
to create necessary links and cache to the most recent shared libraries in a cross-environment

#####
%prep
#####
%target_check
%target_setup
%setup -q -a 1 -n glibc-%{version}
%setup -q -a 4 -D -n glibc-%{version}

# glibc-build-localedef-1-fixes.patch
%patch1 -p1

# glibc-build-localedef-2-cross.patch
%patch2 -p1

# glibc-build-localedef-3-standalone-fixes.patch
%patch3 -p1

# glibc-build-localedef-4-standalone.patch
%patch4 -p1

# glibc-memusage.patch
%patch5 -p1

# glibc-libthread_db-static.patch
%patch6 -p1

# glibc-2.3.2-elcstd.patch
%patch7 -p1

# glibc-mips-librt.patch
%patch8 -p1

# glibc23-ctype-compat.dpatch
%patch9 -p1

# glibc23-function-compat.dpatch
%patch10 -p1

# glibc-2.3.2-cvs-errno.dpatch
%patch11 -p1

# glibc-debian-ldd.patch
%patch12 -p1

# tcsetattr.dpatch
%patch13 -p1

# glibc-2.3.2-cvs-405-atomicity.patch
%patch14 -p1

# glibc-2.2.5_mips_nfp.patch
%patch15 -p1

# glibc-2.3.2-vfork-backtrace.patch
%patch16 -p1

# hhl-glibc-libgcc-compat.patch
%patch17 -p1

# glibc-lsb-locale.patch
%patch18 -p1

# glibc-2.2.5-rel_calc.patch
%patch19 -p1

# glibc-2.3.2-prelink-diagnostic.patch
%patch20 -p1

# glibc-2.2.5-mips-profile.patch
%patch21 -p1

# glibc-2.3.2-sjlj.patch
%patch22 -p1

# glibc-2.3.2-cvs-mips64-implies.patch
%patch23 -p1

# glibc-2.3.2-cvs-mips-timers.patch
%patch24 -p1

# glibc-2.3.2-ppc-fix-soft-float.patch
%patch25 -p1

# glibc-2.3.2-x86_64-multilib32_sysdeps-fno_unit_at_a_time.patch
%patch26 -p1

# glibc-2.3.2-scanfproblem.patch
%patch27 -p1

# glibc-2.3.2-thumb.patch
%patch28 -p1

# glibc-2.3.2-cvs-affinity-2.patch
%patch29 -p1

# glibc-2.3.2-thumb-syscall.patch
%patch30 -p1

# glibc-mips-noforceabi.patch
%patch31 -p1

# glibc-no_locale_archive.patch
%patch32 -p1

# glibc-mips-atomicity.patch
%patch33 -p1

# glibc-pt_chown.patch
%patch34 -p1

# glibc-arm-SHMLBA.patch
%patch35 -p1

# glibc-malloc-deadlock.patch
%patch36 -p1

# glibc-2.3.5-mips2-headers.patch
%patch37 -p1

# glibc-raq2_librt_linking-1.patch
%patch38 -p1

# glibc-SHN_UNDEF.patch
%patch39 -p1

# glibc-mips-posix-fadvise64.patch
%patch40 -p1

# glibc-nptl-static-debug.patch
%patch41 -p1

# glibc-nptl-serialize-debug.patch
%patch42 -p1

# glibc-2.4-getcwd-MAX-undefined.patch
%patch43 -p1

# glibc-fcntl-include.patch
%patch44 -p1

# glibc-check-ELF_MACHINE_NO_PLT.patch
%patch45 -p1

# glibc-ports-mips64-fxstatat.patch
%patch46 -p1

# glibc-ppc-gcc42-workaround-nosection-anchors.patch
%patch47 -p1

# glibc-2.5-e500-support.patch
%patch48 -p1

# glibc-cross-ldconfig.patch
%patch49 -p1

# glibc-march-pentium3-flags.patch
%patch50 -p1


find . -type f -name "*.orig" -exec rm -f {} \;

# Regenerate configure script to take into account changes from patches.
AUTOCONF=autoconf-%{autoconf_version}; export AUTOCONF
${AUTOCONF}


######
%build
######
%host_setup

%define _objdir objdir-cross%{_mvl_pkg_suffix}

pushd cross-ldconfig-%{ld_version}

mkdir -p %{_objdir}
export CFLAGS="-g -O2"

pushd %{_objdir}
%cross_tool_configure \
         --build=%{_mvl_host_config} \
         --program-transform-name=s,^,%{_mvl_target_toolprefix}, \
         --with-glibc-cross=%{_mvl_cross_target_dir}/%{_mvl_target_lib} \
         --with-glibc=../.. --with-glibc-cross=%{_mvl_cross_target_dir}%{_mvl_target_include_dir}/cross-output%{_mvl_pkg_suffix}

%dmake 2>&1

########
%install
########
%host_setup

rm -rf %{buildroot}

pushd cross-ldconfig-%{ld_version}
pushd %{_objdir}

%cross_makeinstall \
	2>&1

install -d %{buildroot}%{_mvl_cross_bin_dir}
install -m 755 ldconfig%{_mvl_exe_ext} %{buildroot}%{_mvl_cross_bin_dir}/%{_mvl_target_toolprefix}ldconfig%{_mvl_pkg_suffix}%{_mvl_exe_ext}

popd
popd

%clean
rm -rf %{buildroot}

%files -n cross-%{_mvl_target_arch}-glibc-utils-ldconfig
%{_mvl_cross_bin_dir}/%{_mvl_target_toolprefix}ldconfig%{_mvl_pkg_suffix}%{_mvl_exe_ext}

%changelog
* Thu Feb 15 2007 Khem Raj <kraj@mvista.com>
- Bug 21860: Patch for building cross-ldconfig on cygwin.
* Wed Feb 7 2007 Aman Wardak <awardak@mvista.com>
- Bug 21860: Include locale.h to allow ldconfig to build on Solaris.
* Fri Jan 19 2007 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 17613: Adding separate spec file for cross-ldconfig.
* Fri Jan 12 2007 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 17613: Adding fixes to cross-ldconfig.
* Wed Dec 20 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Fix 18760: Add E500 support to Glibc 2.5. 
* Tue Dec 14 2006 Nitin Gupta <ngupta@mvista.com>
- Bug 20606: Add GNU/Linux binary prelinker support for MIPS processors.
* Mon Dec 11 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 17613: Disabling cross-ldconfig tool compilation.
* Mon Dec 11 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 17613: Adding cross-ldconfig tool compilation to glibc.
* Fri Dec  1 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 17613: cross-ldconfig support in glibc.
* Thu Nov 23 2006 Khem Raj <kraj@mvista.com>
- Bug 20840: Do not use section-anchors for rtld.o on ppc.
* Wed Nov 15 2006 Khem Raj <kraj@mvista.com>
- Bug 20840: Fix segfault in glibc on ppc.
* Fri Oct 20 2006 Khem Raj <kraj@mvista.com>
- Bug 20431: Fix spurious rpm dependencies for glibc-testsuite.
* Thu Oct 11 2006 Khem Raj <kraj@mvista.com>
- Bug 17685: Implement the glibc testsuite.
* Sun Oct 08 2006 Khem Raj <kraj@mvista.com>
- Bug 20081: Upgrade to glibc 2.5.90.
* Wed Sep 27 2006 Khem Raj <kraj@mvista.com>
- Bug 20081: Fix mips64 build.
- Update no-fpu PPC addon.
- Bug 20166: Fix ldd.
* Thu Sep 21 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 20007: libpthread debug files are missing symbols.
* Wed Sep 20 2006 Khem Raj <kraj@mvista.com>
- Bug 20081: Update to 20060919 snapshot.
* Mon Sep 11 2006 Khem Raj <kraj@mvista.com>
- Bug 19986: Remove LinuxThreads support.
* Mon Aug 28 2006 Khem Raj <kraj@mvista.com>
- Bug 17438: Upgrade to 20060828.
* Wed Aug 16 2006 Khem Raj <kraj@mvista.com>
- Bug 19296: enable-kernel 2.6.17 needed for robust mutexes.
* Thu Aug 3 2006 Khem Raj <kraj@mvista.com>
- Bug 19296: Remove redundant IWMMXT ABI patches.
- Bug 19476: Fix locale compile time warnings.
* Mon Jul 31 2006 Khem Raj <kraj@mvista.com>
- Bug 19450: Apply some important rRequired patches from FSF.
* Fri Jul 28 2006 Khem Raj <kraj@mvista.com>
- Bug 17438: Upgrade to 20060727 snapshot.
* Thu Jul 27 2006 Khem Raj <kraj@mvista.com>
- Bug 19296: Fix the arm pic register support.
* Thu Jul 13 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 19276: The sigignore function occurs segmentation fault
* Thu Jul 6 2006 Khem Raj <kraj@mvista.com>
- Bug 18759: Add ppc32 soft-float add on.
* Wed Jun 28 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 18080: asm-arm/ucontext.h and sys/ucontext.h do not agree for arm/xscale _be.
* Fri Jun 09 2006 Khem Raj <kraj@mvista.com>
- Bug 17438: Upgrade glibc to 2.4 20060608 snapshot.
* Tue May 09 2006 Khem Raj <kraj@mvista.com>
- Bug 17438: Do not pack headers for alternative ABI glibc-dev.
* Mon May 08 2006 Khem Raj <kraj@mvista.com>
- Bug 17438: Upgrade glibc to 2.4 20060508 snapshot.
* Thu May 04 2006 Khem Raj <kraj@mvista.com>
- Bug 17438: Upgrade glibc to 2.4.
* Tue Apr 25 2006 Khem Raj <kraj@mvista.com>
- Bug 18156: Fix the glibc-linuxthreads rpm contents.
* Thu Apr 13 2006 Khem Raj <kraj@mvista.com>
- Bug 17637: Move linuxthreads libraries to /lib/linuxthreads.
* Mon Apr 10 2006 Qunying Pan <qpan@mvista.com>
- Bug 17908: Add ld-linux.so.3 to libopt dynamic linker list.
* Mon Apr 10 2006 Khem Raj <kraj@mvista.com>
- Bug 17637: Fix development library links for nptl.
* Mon Mar 27 2006 Khem Raj <kraj@mvista.com>
- Bug 17637: Set libc_cv_forced_unwind and libc_cv_c_cleanup in glibc bootstrap.
* Sat Mar 25 2006 Khem Raj <kraj@mvista.com>
- Bug 17637: Set libc_cv_asm_cfi_directives in glibc bootstrap.
* Wed Mar 22 2006 Qunying Pan <qpan@mvista.com>
- Bug 17507: Serialize nptl thread events.
* Wed Mar 22 2006 Qunying Pan <qpan@mvista.com>
- Bug 17434: Fix debugging applications statically linked with NPTL.
* Tue Mar 21 2006 Khem Raj <kraj@mvista.com>
- Bug 12932:Disable Robust mutexes for kernel upgrade.
* Mon Mar 20 2006 Khem Raj <kraj@mvista.com>
- Bug 15027: Switch to NPTL as default threading library.
* Fri Mar 17 2006 Khem Raj <kraj@mvista.com>
- Bug 15027: Fix MIPS linuxthreads build with gcc 4.1.
* Thu Mar 16 2006 Khem Raj <kraj@mvista.com>
- Bug 15027: Fix PPC linuxthreads build with gcc 4.1.
* Fri Mar 10 2006 Khem Raj <kraj@mvista.com>
- Bug 12932: Enable Robust mutexes.
* Tue Mar 7 2006 Qunying Pan <qpan@mvista.com>
- Bug 17387: Move Changelog files to glibc-doc.
* Tue Mar 7 2006 Qunying Pan <qpan@mvista.com>
- Bug 17254: strip .comment section and strip symbol table for libc and libm.
* Tue Feb 07 2006 Khem Raj <kraj@mvista.com>
- Bug 17083: Packages LICENSES file.
* Thu Jan 12 2006 Qunying Pan <qpan@mvista.com>
- Bug 16699: Update libc & libm install path to add libopt multi-ABI support.
* Thu Dec 29 2005 Qunying Pan <qpan@mvista.com>
- Bug 16496: Add ld-linux-x86-64.so.2 to glibc-libopt-build-lib* ld searching list.
* Wed Dec 28 2005 Khem Raj <kraj@mvista.com>
- Bug 16375: Fix a typo in Xtensa glibc stat interface patch.
* Wed Dec 21 2005 Qunying Pan <qpan@mvista.com>
- Bug 14824: Update glibc.spec.in to add on other libraries for ppc_85xx_dpfp.
* Tue Dec 20 2005 Khem Raj <kraj@mvista.com>
- Bug 16375: Fix Xtensa glibc kernel stat interface.
* Mon Dec 19 2005 Qunying Pan <qpan@mvista.com>
- Bug 16377: Update glibc-binutils-compatibility.patch to fix ppc libm lround issue.
* Fri Dec 16 2005 Khem Raj <khem@mvista.com>
- Bug 15504: Make last MIPS posix_fadvise implementation MIPS32 specific.
* Fri Dec 16 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 16365: Fix installation directory for doc files.
* Thu Dec 15 2005 Khem Raj <khem@mvista.com>
- Bug 15504: Add MIPS specific implementation of posix_fadvise system call.
* Mon Dec 12 2005 Qunying Pan <qpan@mvista.com>
- Bug 16197: Add glibc-tzdata requires.
* Thu Dec 08 2005 Khem Raj <kraj@mvista.com>
- Bug 12932: Add new parameter to *wait_robust functions.
* Tue Nov 29 2005 Khem Raj <kraj@mvista.com>
- Bug 16028: Xtensa changes related to PSEUDO macro and vfork.
* Tue Nov 29 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 16012: Fix incorrect documentation in glibc-doc.
* Mon Nov 28 2005 Khem Raj <kraj@mvista.com>
- Bug 16009: Avoid inclusion of numa-note object in non-numa builds.
* Tue Nov 22 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 15947: Fix glibc issues for upgrade of binutils to 2.16.91.
* Sun Nov 20 2005 Qunying Pan <qpan@mvista.com>
- Bug 15917: Separate timezone info from core glibc to glibc-tzdata package.
* Wed Nov 16 2005 Qunying Pan <qpan@mvista.com>
- Bug 15872: Don't manually strip /sbin/ldconfig to keep debug info.
* Mon Nov 14 2005 Khem Raj <kraj@mvista.com>
- Bug 15808: Revert the tar file change remove the file in prep section instead.
* Mon Nov 14 2005 Khem Raj <kraj@mvista.com>
- Bug 15808: Remove empty mips32/kern64/sysdeps.h from glibc-2.3.6 tar file.
* Mon Nov 07 2005 Khem Raj <kraj@mvista.com>
- Bug 15684: Upgrade glibc to 2.3.6.
* Fri Nov 04 2005 Qunying Pan <qpan@mvista.com>
- Bug 15657: glibc fix for adding gdbserver thread debugging support in x86_64.
* Mon Oct 31 2005 Khem Raj <kraj@mvista.com>
- Bug 15219: Fix unterminated eh_section in shared libs.
* Fri Oct 28 2005 Khem Raj <kraj@mvista.com>
- Bug 15586: Fix the libgcc_eh kludge patch.
* Mon Oct 24 2005 Khem Raj <kraj@mvista.com>
- Bug 15505: Fix login issue caused my mem lock patch.
* Fri Oct 21 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 15449: non-debug glibc package contains unstripped libraries
* Fri Oct 21 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 14654: Fix broken symbol (SHN_UNDEF) resolving on mips/mipsel.
* Thu Oct 20 2005 Khem Raj <kraj@mvista.com>
- Bug 15397: Fix ARM TLS runtime issue.
- Remove obsoleted patch glibc-2.3.2-arm-asm.spec
- Merge glibc-2.3.5-arm_prelink.patch into glibc-arm-tls.patch.
* Wed Oct 12 2005 Khem Raj <kraj@mvista.com>
- Bug 15263: Alias umount2 system call to umount for Xtensa.
* Thu Sep 29 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 15145: Fix prelink of libstdc++ with non-prelinked c++ apps.
* Thu Sep 29 2005 Khem Raj <kraj@mvista.com>
- Bug 13901: Xtensa fix libc_hidden_builtin_def attribute to strcmp.
* Wed Sep 28 2005 Khem Raj <kraj@mvista.com>
- Bug 13901: Xtensa add libc_hidden_builtin_def to str*, mem* functions.
* Tue Sep 27 2005 Khem Raj <kraj@mvista.com>
- Bug 13901: Update Xtensa patches for 2.3.3 glibc.
* Thu Sep 22 2005 Khem Raj <kraj@mvista.com>
- Bug 14946: Append %{_mvl_pkg_suffix} to default objdir.
* Tue Sep 13 2005 Qunying Pan <qpan@mvista.com>
- Bug 14199: Update northamerica timezone file to the latest version.
* Mon Sep 12 2005 Qunying Pan <qpan@mvista.com>
- Bug 14647: Add leap second event scheduled for 12/31/2005
* Tue Sep 06 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13173: Provide fadvise64_64 syscall with new prototypes.
- Adjust posix_fadvise accordingly. 
* Tue Aug 30 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13173: Provide arm version of posix_fadvise.
* Tue Aug 30 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 14608: Add missing 2.6 kernel features for powerpc32/powerpc64.
* Tue Aug 23 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 14497: Change patch names to x86_64 from x86_em64t.
* Fri Aug 15 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 14070: non-debug glibc package contains unstripped libraries
* Tue Aug 09 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13944: Adding missing EABI functions to glibc.
* Fri Aug 05 2005 Khem Raj <kraj@mvista.com>
- Bug 14181: Do not copy back the sem_buf structure.
* Thu Aug 4 2005 Qunying Pan <qpan@mvista.com>
- Bug 11871: export libc_cv_localedir to /usr/lib/locale for multilibbed systems.
* Wed Aug 03 2005 Khem Raj <kraj@mvista.com>
- Bug 13901: Remove a debug variable in spec file introduced during Xtensa port.
- Bug 12932: Commit the x86 port of robust mutexes port in disabled form.
* Mon Jul 25 2005 Khem Raj <kraj@mvista.com>
- Bug 13901: Fix Xtensa port.
* Fri Jul 22 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 12929: 85xx enhancement tracker bug
* Fri Jul 8 2005 Nora Pan <qpan@mvista.com>
- Bug 11871: i18n project part2: update spec to generate locale files for all arches
* Thu Jul 7 2005 Nora Pan <qpan@mvista.com>
- Bug 11871: i18n project part1: add localedef patches
* Thu Jun 23 2005 Khem Raj <kraj@mvista.com>
- Fix 13244: Changes to make toolchain to generate 32 bit per default for ppc_9xx.
* Tue Jun 21 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Fix 12843 fpu instructions in fpuless glibc for targets
* Mon Jun 13 2005 Khem Raj <kraj@mvista.com>
- Add robust mutexes support in glibc and disable it for the moment.
* Thu Jun 09 2005 Dinar Temirbulatov <dtemirbulatov@mvista.com>
- Bug 7751 - Make memusage script even if memusagestat will not be built
* Thu Jun 09 2005 Khem Raj <kraj@mvista.com>
- Bug 12850: Change attributes for getconf directory in files section.
* Thu Jun 09 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 12768: Remove glibc-arm_sa_be.patch.
* Mon Jun 06 2005 Khem Raj <kraj@mvista.com>
- Bug 12502: Add unpackaged files to files section in glibc package.
* Tue May 31 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 12449: libc depends on libgcc_s.so.1 for pthread_cancel.
* Fri May 27 2005 Grigory Tolstolytkin <gtolstolytkin@ru.mvista.com>
- Bug 11882 - Generate correct mips2 headers
* Tue May 17 2005 Khem Raj <kraj@mvista.com>
- Bug 12035 - Add missing .cfi_startproc to sh/dl-system.h
* Tue May 17 2005 Khem Raj <kraj@mvista.com>
- Bug 11852 - Update the TLS patch to use gottpoff instead of _dtpoff_
* Fri May 13 2005 Khem Raj <kraj@mvista.com>
- Bug 11996 - Add empty /etc/ld.so.conf to glibc package.
* Fri May 13 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Bug 9819: MIPS64 NPTL support.
* Fri May 13 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 12222 nscd initscript missing the chkconfig control line.
* Sat May 07 2005 Khem Raj <kraj@mvista.com>
- Bug 11965: Update glibc MIPS TLS patch to use gottprel instead of tpoff.
* Fri May 06 2005 Khem Raj <kraj@mvista.com>
- Bug 11965: Update glibc ARM TLS patch to use gottpoff instead of dtpoff.
* Fri May 06 2005 Khem Raj <kraj@mvista.com>
- Bug 11965: Update glibc TLS patches for ARM and MIPS to use binutils 2.16 and updated gcc.
* Thu May 05 2005 Khem Raj <kraj@mvista.com>
- Bug 10313 - Add fcntl and flock64 wrappers for ARM EABI.
* Wed May 04 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Bug 12016 - correct pc-relative addresses for ARM.
* Fri Apr 29 2005 Nitin Gupta <ngupta@mvista.com>
- Upgrade glibc version to 2.3.5.
* Fri Apr 29 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Update ARM TLS support.
* Tue Apr 26 2005 Khem Raj <kraj@mvista.com>
- Fix 10163: change the glibc spec file to use --with-numa-policy option
* Mon Apr 25 2005 Khem Raj <kraj@mvista.com>
- Fix 10163: Correct the syscall patch to assign withval instead of enableval for numapol
* Wed Apr 20 2005 Nora Pan <qpan@mvista.com>
- On behalf of Daniel Jacobowitz
- Fix 11239 - Restart the thread if it has been suspended and receives SIGSEGV.
* Tue Apr 19 2005 Nora Pan <qpan@mvista.com>
- on behalf of Daniel Jacobowitz
- Fix 11436 - Fix NPTL support on ppc_9xx
* Thu Apr 14 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 11330 - Pulling back 5863 patch due to performance issues.
* Thu Apr 14 2005 Khem Raj <kraj@mvista.com>
- Fix 11672: Add -f switch to 'rm' in spec file.
* Thu Apr 14 2005 Nitin Gupta <ngupta@mvista.com>
- Removing obsolete time zone file location link.
* Thu Apr 7 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Remove empty file from MIPS64 port.
* Fri Apr 1 2005 Nora Pan <qpan@mvista.com>
- Fix 10954: on behalf of Daniel Jacobowitz
- Wrap glibc 32-bit multilib header.
* Fri Apr 1 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Fix 11027: libc.so.6 incorrectly tagged by ldconfig.
* Thu Mar 24 2005 Khem Raj <kraj@mvista.com>
- Fix 10313: Add attributes to some glibc structures which were incompatible with kernel structures due to ARM EABI implementation.
* Fri Mar 18 2005 Khem Raj <kraj@mvista.com>
- Fix 11065: Updated define value for ARM_EXIDX type sections. 
* Wed Mar 16 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 10644 - _JCR_LIST__ problem. 
* Tue Mar 15 2005 Nora Pan <qpan@mvista.com>
- Fix 10985: update xtensa source files names.
* Mon Mar 14 2005 Nitin Gupta <ngupta@mvista.com>
- Replacing alt spec files to select alternate ABIs.
* Fri Mar 11 2005 Nora Pan <qpan@mvista.com>
- Fix 10367:header files update for xtensa.
* Thu Mar 10 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 10421 - Race condition at malloc by RT thread and fork by TSS thread. 
* Thu Mar 10 2005 Ranajni Cudavalli <rcudavalli@mvista.com>
- Fix 10716 - SHMLBA != PAGE_SIZE. 
* Tue Mar 8 2005 Ranajni Cudavalli <rcudavalli@mvista.com>
- Fix 10695 - Glibc LD_DEBUG Access Error. 
* Mon Mar 7 2005 Khem Raj <kraj@mvista.com>
- Add NUMA note to ld-2.3.3.so as well and fix the typo in glibc spec file
* Fri Mar 4 2005 Nitin Gupta <ngupta@mvista.com>
- First pass of replacing alt spec files to select alternate ABIs
* Fri Mar 4 2005 Khem Raj <kraj@mvista.com>
- bug 10652 clean the spec file to use linuxthreads as default library for linking
* Thu Mar 3 2005 Khem Raj <kraj@mvista.com>
- Revert the EXTRAVAR_6 change for bug 10734
- regeberate the patch with correct fix for x86
* Wed Mar 2 2005 Khem Raj <kraj@mvista.com>
- bug 10734 Fixed NUMA (non uniform memory access) patch for x86
* Mon Feb 28 2005 Khem Raj <kraj@mvista.com>
- bug 10163 added NUMA (non uniform memory access) support
* Mon Feb 28 2005 Khem Raj <kraj@mvista.com>
- Create fix for adding debug symbol to glibc, fix for 10016.
* Thu Feb 24 2005 Nitin Gupta <ngupta@mvista.com>
- Merge f2_64bit_branch into HEAD.
* Wed Feb 23 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Fix 8796 Glibc header dependancies not met: udp.h
* Mon Feb 21 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Fix 9902 rpcsvc headers missing from glibc
- Combined glibc-cross_sunrpc.patch and hhl-glibc-rpc-cross.patch
- files together in glibc-cross_sunrpc.patch file
* Fri Feb 18 2005 Khem Raj <kraj@mvista.com>
- Fix 9048 Fix the SEGFAULT in profiling support for ARM targets
* Wed Feb 16 2005 Khem Raj <kraj@mvista.com>
- Fix 8179 glibc-dev to obsolete libmqueue.
* Wed Feb 16 2005 Khem Raj <kraj@mvista.com>
- Fix 10362 remove rquota.[xh] these are now provided by quota.
* Fri Feb 11 2005 Nora Pan <qpan@mvista.com>
- Fix 5750 Eliminate memory access between ll/sc pair in mips.
* Thu Feb 10 2005 Nora Pan <qpan@mvista.com>
- Fix 10278: Link against LinuxThreas lib by default.
* Thu Feb 10 2005 Nitin Gupta <ngupta@mvista.com>
- fixing locale for x86_em64t and x86_amd64
- Add MIPS NPTL support.
* Wed Jan 12 2005 Nora Pan <qpan@mvista.com>
- Add MIPS NPTL support.
* Thu Jan 06 2005 Nitin Gupta <ngupta@mvista.com>
- Fix syntax errors in elf/ldd.bash.in.
* Mon Jan 03 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Merge ARM EABI support.
* Thu Dec 16 2004 Joe Green <jgreen@mvista.com>
- Remove BuildRequires statements.
* Tue Dec 07 2004 Daniel Jacobowitz <dan@codesourcery.com>
- Update ARM NPTL support for compatibility with older kernels.
* Mon Nov 29 2004 Joe Green <jgreen@mvista.com>
- Merge NPTL support into "glibc.spec.in".  Remove "nptl.spec.in".
- Merge initial ARM NPTL support.
* Mon Nov 15 2004 Joe Green <jgreen@mvista.com>
- Remove obsolete "glibc-arm-memtypealloc.patch".
- Use RPM "files" section directly instead of generated file lists.
* Tue Nov 09 2004 Joe Green <jgreen@mvista.com>
- Use host autoconf package; remove configure patch.
* Sun Nov 07 2004 Joe Green <jgreen@mvista.com>
- Remove PML files.
* Tue Nov 02 2004 Nora Pan <qpan@mvista.com>
- Build separate locale files instead of single locale-archive.
* Fri Jul 9 2004 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 7442 - Don't free internal buffer in vsyslog().
* Thu Jun 18 2004 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 5863 - Changes to /etc/localtime are not seen until restart.
* Thu Jun 14 2004 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 7062 - realpath gives a path when it really shouldn't.
* Tue Jun 11 2004 Tim Anderson <tanderson@mvista.com>
- removed PROVIDES statements in PML for NPTL. bugz 6524
* Thu May 27 2004 Michael Eager <eager@mvista.com>
- Make initfini.s build with -fno-unit-at-a-time flag.
* Thu May 27 2004 Michael Eager <eager@mvista.com>
- add ARCH_FIXUP_ATTRIBUTE in elf/dl-machine.
* Tue Apr 27 2004 Daniel Jacobowitz <drow@mvista.com>
- PowerPC Altivec fixes for NPTL.
* Tue Apr 27 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-51
- Fix CAN-2003-0859, security problem in netlink use for getifaddrs
* Mon Apr 26 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-50
- Support syscall() from Thumb mode.
* Fri Apr 23 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-49
- Fix interface to scheduler affinity functions.
* Thu Mar 18 2004 Michael Eager <eager@mvista.com>
- Fix 5847 - Arm vfork (hang in pthread)
* Wed Mar 3 2004 Daniel Jacobowitz <drow@mvista.com>
- Add ARM/Thumb interworking support.
* Fri Feb 20 2004 Michael Eager <eager@mvista.com>
- Fix Bugz 5422 - SEGV in getenv.
* Wed Feb 11 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-45
- Improve mutex performance for targets without compare-and-swap.
* Wed Feb 4 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-44
- <bits/syscall.h> fixes for MIPS32.
* Tue Feb  3 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-27
- Fix nptl-prof PML template.
* Mon Jan 26 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-43
- MIPS siginfo.h update for POSIX timers.
* Fri Jan 23 2004 Michael Eager <eager@mvists.com>
- Fix 1-38CV7 - add optimized memcpy/memmove for ARM.
* Tue Jan 13 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-41
- MemTypeAlloc update.
* Wed Jan 7 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-40
- Revise MemTypeAlloc support for ARM.
* Thu Dec 18 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-39
- Fix <bits/syscall.h> for MIPS64.
* Sat Dec 13 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-38
- Remove psaddr_t change for N32.  At a later date the psaddr_t changes
- should be re-added, with nptl_db that can handle this difference.
* Fri Dec 12 2003 Corey Minyard <cminyard@mvista.com>
- Added a patch (from Debian) to fix tcsetattr and c-iflag LSB failures.
* Wed Dec 10 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-36
- Install the correct wordsize.h on MIPS64 again.
- Fix libthread_db interface for N32.
* Thu Dec 4 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-35
- Support changed format of MIPS64 <asm/unistd.h>.
* Mon Dec 01 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-34
- Fix vfork for LinuxThreads.
- Add missing cancellation wrappers for MIPS64.
- Re-enable hardware FP for MIPS.
- Expect a long long address for n32 ptrace.
- Save and restore all argument registers on MIPS64
- Add multilib package support for MIPS64.
* Thu Nov 13 2003 Michael Eager <eager@mvista.com>
- Add target/usr/lib directory (needed for MIPS64)
* Tue Nov 11 2003 Corey Minyard <cminyard@mvista.com> 2.3.2-25
- Separate ldconfig-nptl and ld.so.cache files for NPTL.
* Tue Oct 28 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-33
- Add MemTypeAlloc support for ARM.
* Mon Oct 27 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-32
- Fix a buffer overflow in hwcap calculation.
* Tue Oct 21 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-31
- Don't use sys_waitpid on ARM.
* Tue Oct 14 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-30
- Fix a bug in MIPS clone() which caused crashes after threads exited.
* Wed Oct 8 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-28
- Adjust <bits/msq.h> to match the MIPS kernel.
* Mon Sep 29 2003 Michael Eager <eager@mvista.com>
- Remove IBM PPC 405/440 patches.
* Fri Sep 26 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-27
- Fix another build failure generating shlib.lds.
- Fix SJLJ related build failures on ARM and SH targets.
* Wed Sep 24 2003 Daniel Jacobowitz <drow@mvista.com>
- Add GDB wrapper for NPTL packages.
- Touch configure scripts before building.
* Wed Sep 24 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-26
- Use a prebuilt bits/stdio_lim.h for glibc-bootstrap.
- Touch all configure scripts.
* Mon Sep 15 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-25
- Update to a new CVS snapshot.
- Add MIPS64 patches.
* Mon Sep 8 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-23
- Unmap padding area when loading shared objects.
* Thu Sep 4 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-22
- Add patches for iWMMXt and VFP compatibility.
* Tue Aug 26 2003 Michael Eager <eager@mvista.com>
- Add PPC 405 library routines from IBM.
* Fri Aug 22 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-21
- Fix a crash in getgrouplist with a large number of groups.
* Thu Aug 21 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-20
- Fix a profiling crash on MIPS.
* Tue Aug 19 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-19
- Fix a new thread debugging problem on ARM.
* Tue Aug 5 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-18
- Add ISV compat hooks.
- Improve ldd behavior for shared libraries.
* Wed Jul 30 2003 Michael Eager <eager@mvista.com>
- Enable PPC 440 lib routines from IBM.
* Mon Jul 28 2003 Michael Eager <eager@mvista.com>
- Defect 1-1RSAY - work around SH4 silicon bug for syscall.
* Mon Jul 28 2003 Michael Eager <eager@mvista.com>
- Add PPC 440 library routines from IBM.
* Wed Jul 16 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-14
- Remove SH pread patch to match a kernel change.
* Tue Jul 15 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-13
- Update SHMLBA for MIPS.
* Wed Jul 2 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-12
- Include <elcstd.h>.
* Mon Jun 23 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-11
- Provide /sbin/ldconfig, for target packages' benefit.
* Mon Jun 16 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-10
- Better diagnostics for prelink failure.
* Fri Jun 6 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-9
- Fix a thread leak when creating multiple timers.
* Wed Jun 4 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-8
- Fix arguments to pread/pwrite on SH.
- Fix <sys/procfs.h> on SH.
- Export __fpscr_values from libc.so.6 on SH.
* Wed May 28 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-7
- Another patch for the ARM cancellation wrappers, affecting static binaries only.
* Mon May 19 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-6
- Fix an incorrect clobber for ARM which gcc 3.3 complains about.
* Wed May 14 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-5
- Export __sim_* on PowerPC soft-float targets.
* Mon Apr 21 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-4
- SH doesn't have a 64-bit st_ino in the kernel interface yet.  There's
- room to add it, fortunately, but turn off the assumption for now.
* Mon Apr 14 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-3
- Fix the type of .bss sections in libc.so for ARM.
- Update ELF_MACHINE_NO_RELA patch to re-enable prelink support for ARM.
- Remove an outdated patch to the NSCD configuration file.
* Mon Mar 31 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-2
- Prevent garbled linker scripts due to gcc-bootstrap.
- Preset more variables that configure gets wrong.
- Update Altivec patch.
* Tue Mar 25 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-1
- Update to glibc 2.3.2.
- Add patches to fix ARM and SH cancellation wrappers.
- Add --enable-kernel=2.4.17.
- Install libpthread_pic.a.
* Tue Mar 14 2003 Corey Minyard <cminyard@mvista.com>
- Fixed a bug with memory locking executables, env variables didn't work.
* Tue Mar 11 2003 Daniel Jacobowitz <drow@mvista.com> 2.2.5-35
- Add profiling support for the SH architecture.
* Thu Mar 6 2003 Daniel Jacobowitz <drow@mvista.com> 2.2.5-34
- Add the missing O_DIRECT flag on PowerPC.
* Tue Feb 25 2003 Daniel Jacobowitz <drow@mvista.com> 2.2.5-33
- Fix a memory leak in libresolv.
- Force $PERL to /usr/bin/perl.
* Tue Feb 4 2003 Michael Eager <eager@mvista.com>
- Fix memory alignment problem in Xtensa
* Mon Jan 20 2003 Michael Eager <eager@mvista.com>
- Include corebits.h in xtensa build.
* Mon Jan 20 2003 Michael Eager <eager@mvista.com>
- Add Xtensa patches for strlen and memcpy.
* Fri Jan 17 2003 Michael Eager <eager@mvista.com>
- Generate locales for X86
* Tue Jan 14 2003 Michael Eager <eager@mvista.com>
- Eliminate divide in elf_dynamic_do_rel for Xtensa.
* Thu Jan 9 2003 Daniel Jacobowitz <drow@mvista.com>
- Two LSB compliance patches: nice and Euro locales.
* Fri Jan  3 2003 Daniel Jacobowitz <drow@mvista.com>
- Don't apply cross-RPC patches in glibc-bootstrap, in order to get
- all headers installed.
* Wed Dec 11 2002 Daniel Jacobowitz <drow@mvista.com>
- Update scheduler affinity patch to export symbols with the correct
- versions.
* Fri Dec 6 2002 John Kwan <jkwan@mvista.com>
- Use a more recent glibc common patch for xtensa
* Thu Nov 14 2002 John Kwan <jkwan@mvista.com>
- Move patch36 from under xtensa only test
* Wed Nov 13 2002 John Kwan <jkwan@mvista.com>
- Update xtensa build to use glibc 2.2.5.
* Tue Nov 12 2002 Michael Eager (eager@mvista.com>
- Set correct host (i.e. target) and use host gcc for build glibc-bootstrap.
* Mon Nov  4 2002 Daniel Jacobowitz <drow@mvista.com>
- Add backwards compatibility symbols for ppc_8xx.
- Remove another bashism from the .spec file.
* Tue Oct 29 2002 Daniel Jacobowitz <drow@mvista.com>
- Disable memset.S on ppc_8xx again.
* Wed Oct 16 2002 jkwan <jkwan@mvista.com>
- Add support for xtensa_linux_test build
* Tue Oct 15 2002 Daniel Jacobowitz <drow@mvista.com>
- Install <bits/stdio_lim.h> with glibc-bootstrap.
* Sat Oct 12 2002 Daniel Jacobowitz <drow@mvista.com>
- Re-add a MIPS thread debugging patch.
- Add vfork() for MIPS
* Wed Oct  9 2002 Daniel Jacobowitz <drow@mvista.com>
- Allow backtraces from __vfork.
- DWARF-2 debugging information for assembly source.
* Thu Sep 26 2002 jkwan <jkwan@mvista.com>
- Replace xtensa-be/le patches with tar files
* Fri Sep 20 2002 Michael Eager <eager@mvista.com>
- Update Xtensa patch for glibc-2.2.5
* Fri Sep 20 2002 Daniel Jacobowitz <drow@mvista.com>
- Add some patches from glibc CVS.
* Mon Sep 16 2002 Daniel Jacobowitz <drow@mvista.com>
- Add a binary compatibility patch for SH4.
* Tue Aug 27 2002 Daniel Jacobowitz <drow@mvista.com>
- Add scheduler affinity syscalls.
* Sun Aug 25 2002 Daniel Jacobowitz <drow@mvista.com>
- Use %target_tool_configure.
* Wed Aug 21 2002 Daniel Jacobowitz <drow@mvista.com>
- Specify "-finline-limit-10000" to make SH and ARM fit inside the limit.
* Mon Aug 12 2002 Daniel Jacobowitz <drow@mvista.com>
- Fix register dumps for MIPS targets
* Thu Aug 8 2002 John Kwan <jkwan@mvista.com>
- Add a patch to signal.h for ia64
* Mon Aug  5 2002 Daniel Jacobowitz <drow@mvista.com>
- Add patch for sysconf CPU count
- Fix an ARM bug reported by GCC 3.1.1
* Thu Aug  1 2002 Daniel Jacobowitz <drow@mvista.com>
- Build static libthread_db
- Specify "-finline-limit-3000" to work around inlining problems on GCC 3.1/MIPS.
* Fri Jul 26 2002 Michael Eager <eager@mvista.com>
- Mips nfp setjmp/longjmp patch.
* Wed Jul 24 2002 Daniel Jacobowitz <drow@mvista.com>
- Merge memory locking patch
* Fri Jul 19 2002 Daniel Jacobowitz <drow@mvista.com>
- Move forward patches from previous glibc releases and glibc CVS.
- Moved to glibc 2.2.5
* Tue Jul  9 2002 Daniel Jacobowitz <drow@mvista.com>
- Renamed glibc-headers to glibc-bootstrap.
* Fri Jul  5 2002 Daniel Jacobowitz <drow@mvista.com>
- Created glibc-headers package.
* Fri May 10 2002 Daniel Jacobowitz <drow@mvista.com>
- Fix a setjmp/longjmp bug on PowerPC 74xx.
* Sat May  4 2002 Corey Minyard <cminyard@mvista.com>
- Added the ability to lock executables in memory.
* Thu Mar  7 2002 Daniel Jacobowitz <drow@mvista.com>
- Fix defect 1-L3ST - MIPS thread debugging
* Thu Feb 28 2002 Michael Eager <eager@mvista.com>
- Fix defect 1-KM1X -- use _hhl_target_include_dir not _includedir
* Fri Jan 18 2002 Michael Eager <eager@mvista.com>
- Change to make localdata/install-locales
* Fri Dec  7 2001 Michael Eager <eager@mvista.com>
- Tensilica Xtensa LinuxBE configuration support.
* Mon Oct 29 2001 Michael Eager <eager@mvista.com>
- Intel StrongArm Big Endian patch
* Fri Sep 07 2001 Michael Eager <eager@mvista.com>
- Convert to use target_tool_configure.
* Thu Aug 16 2001 Joe Green <source@mvista.com>
- Added hhl-glibc-save-lds.patch to keep linker scripts for library optimizer.
- Installed abi-note.o and libc.so.lds for use by library optimizer.

* Mon Jul 20 2001 Mark Hatle <source@mvista.com>
- Moved to 2.2.3 release
- Restructures the sources/patches to be pulled from the Debian patch
- instead of individual patches.
- Renamed all MontaVista patches to include "hhl" in their names
- Removed the glibc-223pre1-fe_invalid.patch, glibc-mips-abi.patch,
- and glibc22-27.patch patches.  (No longer needed)

* Mon Jun 25 2001 Daniel Jacobowitz <source@mvista.com>
- Add workaround for ppc_405 atomic store issues.

* Fri May 25 2001 Daniel Jacobowitz <source@mvista.com>
- Add patch to fix mips rt_sigqueueinfo.

* Fri May 04 2001 Steve Kinneberg <source@mvista.com>
- Added TCT package description files for building.

* Sun Mar 18 2001 Joe Green <source@mvista.com>
- Added Library Optimizer information package for libc.

* Thu Feb 22 2001 Mark Hatle <source@mvista.com>
- Removed the db2 add-on stuff.  Its only for legacy and we don't have
- any! <grin>

* Wed Jan 24 2001 Mark Hatle <source@mvista.com>
- Added missing rpc files
- Added sln
- Added /usr/lib/libthread_db.so
- Added /usr/lib/libdb.so

* Mon Jan 22 2001 Mark Hatle <fray@mvista.com>
- Initial push into repository
- Cross-compiling checks are still TODO

* Sat Dec 09 2000 Mark Hatle <fray@mvista.com>
- First cut
